function menu_load()
	background = love.graphics.newImage("img/menu/background.png")
	title = love.graphics.newImage("img/menu/title.png")
	copyright = love.graphics.newImage("img/menu/copyright.png")

	menustate = "menu"

	name = love.graphics.newImage("img/menu/intro/name.png")

	--menu_music = love.audio.newSource("music/menu.mp3")
	--menu_music:setVolume(0.5)

	--[[img = {}
	img[1] = love.graphics.newImage("img/menu/an1.png")
	img[2] = love.graphics.newImage("img/menu/an2.png")
	img[3] = love.graphics.newImage("img/menu/an3.png")
	img[4] = love.graphics.newImage("img/menu/an4.png")
	img[5] = love.graphics.newImage("img/menu/an5.png")
	img[6] = love.graphics.newImage("img/menu/an6.png")
	img[7] = love.graphics.newImage("img/menu/an7.png")
	img[8] = love.graphics.newImage("img/menu/an8.png")
	img[9] = love.graphics.newImage("img/menu/an9.png")
	img[10] = love.graphics.newImage("img/menu/an10.png")
	img[11] = love.graphics.newImage("img/menu/an11.png")
	img[12] = love.graphics.newImage("img/menu/an12.png")
	img[13] = love.graphics.newImage("img/menu/an13.png")
	img[14] = love.graphics.newImage("img/menu/an14.png")
	img[15] = love.graphics.newImage("img/menu/an15.png")
	img[16] = love.graphics.newImage("img/menu/an16.png")
	img[17] = love.graphics.newImage("img/menu/an17.png")
	img[18] = love.graphics.newImage("img/menu/an18.png")
	img[19] = love.graphics.newImage("img/menu/an19.png")

	numbers = {1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19}]]

	vagineerFace = {}
	vagineerFace[1] = love.graphics.newImage("img/menu/vagineer_face/vag_normal.png")
	vagineerFace[2] = love.graphics.newImage("img/menu/vagineer_face/vag_down.png")
	vagineerFace[3] = love.graphics.newImage("img/menu/vagineer_face/vag_up.png")
	vagineerFace[4] = love.graphics.newImage("img/menu/vagineer_face/vag_side_left.png")
	vagineerFace[5] = love.graphics.newImage("img/menu/vagineer_face/vag_side_right.png")
	vagineerFace[6] = love.graphics.newImage("img/menu/vagineer_face/vag_side_upleft.png")
	vagineerFace[7] = love.graphics.newImage("img/menu/vagineer_face/vag_side_upright.png")
	vagineerFace[8] = love.graphics.newImage("img/menu/vagineer_face/vag_side_downleft.png")
	vagineerFace[9] = love.graphics.newImage("img/menu/vagineer_face/vag_side_downright.png")

	bimgs = {}
	bimgs.playi = love.graphics.newImage("img/menu/buttons/playbutton.png")
	bimgs.playi_om = love.graphics.newImage("img/menu/buttons/playbutton_onmouse.png")

	buttons = {
		play = bimgs.playi
	}

	mouse_x = 0
	mouse_y = 0

	angle = 0

	fps = 0
	--n = 0
	--i = 1
	--imgn = 1
	A = 0
	ti = 0 -- toIntro
end

function menu_update(dt)
	if menustate == "intro" then
		A = A + 1.2
		ti = ti + 1.2

		if A >= 255 then
			A = 255
		end

		if ti >= 360 then menustate = "menu" ti = 0 end

	elseif menustate == "menu" then
		angle = angle + 0.01
		--n = n + 0.1

		mouse_x, mouse_y = love.mouse.getPosition()

		if mouse_x > 150 and mouse_x < 150 + buttons.play:getWidth() and mouse_y > 300-(buttons.play:getHeight()/2) and mouse_y < 300 + buttons.play:getHeight()/2 then
			buttons.play = bimgs.playi_om

			if love.mouse.isDown("l") then -- :)
				gamestate = "f1"

				f1_load()
			end

		else
			buttons.play = bimgs.playi
		end

		fps = love.timer.getFPS()
	end
end

function menu_draw()
	if menustate == "intro" then
		love.graphics.setColor(255, 255, 255, A)
		love.graphics.draw(name, 400-(name:getWidth()/2), 300-(name:getHeight()/2))

	elseif menustate == "menu" then
		love.graphics.draw(background, 400-2, 300-2, angle, 1, 1, background:getWidth()/2, background:getHeight()/2)
		love.graphics.draw(title, 400-(title:getWidth()/2), 15)
		love.graphics.draw(copyright, 400-(copyright:getWidth()/2), 580)

		if mouse_x > 400-(vagineerFace[1]:getWidth()/2) and mouse_x < (400-(vagineerFace[1]:getWidth()/2))+vagineerFace[1]:getWidth() and mouse_y > 300-(vagineerFace[1]:getHeight()/2) and mouse_y < (300-(vagineerFace[1]:getHeight()/2))+vagineerFace[1]:getHeight() then
			love.graphics.draw(vagineerFace[1], 400-(vagineerFace[1]:getWidth()/2), 300-(vagineerFace[1]:getHeight()/2))

		elseif mouse_x < 400+1-(vagineerFace[1]:getWidth()/2) and mouse_y > 300+1-(vagineerFace[1]:getHeight()/2) and mouse_y < (300+1-(vagineerFace[1]:getHeight()/2))+vagineerFace[1]:getHeight() then
			love.graphics.draw(vagineerFace[4], 400-(vagineerFace[4]:getWidth()/2), 300-(vagineerFace[4]:getHeight()/2))

		elseif mouse_x > (400-1-(vagineerFace[1]:getWidth()/2))+vagineerFace[1]:getWidth() and mouse_y > 300+1-(vagineerFace[1]:getHeight()/2) and mouse_y < (300+1-(vagineerFace[1]:getHeight()/2))+vagineerFace[1]:getHeight() then
			love.graphics.draw(vagineerFace[5], 400-(vagineerFace[5]:getWidth()/2), 300-(vagineerFace[5]:getHeight()/2))

		elseif mouse_x > 400-(vagineerFace[1]:getWidth()/2) and mouse_x < (400-(vagineerFace[1]:getWidth()/2))+vagineerFace[1]:getWidth() and mouse_y < 300-(vagineerFace[1]:getHeight()/2) then
			love.graphics.draw(vagineerFace[3], 400-(vagineerFace[3]:getWidth()/2), 300-(vagineerFace[3]:getHeight()/2))

		elseif mouse_x > 400-(vagineerFace[1]:getWidth()/2) and mouse_x < (400-(vagineerFace[1]:getWidth()/2))+vagineerFace[1]:getWidth() and mouse_y > (300-(vagineerFace[1]:getHeight()/2))+vagineerFace[1]:getHeight() then
			love.graphics.draw(vagineerFace[2], 400-(vagineerFace[2]:getWidth()/2), 300-(vagineerFace[2]:getHeight()/2))

		elseif mouse_x < 400+1-(vagineerFace[1]:getWidth()/2) and mouse_y < 300+1-(vagineerFace[1]:getHeight()/2) then
			love.graphics.draw(vagineerFace[6], 400-(vagineerFace[6]:getWidth()/2), 300-(vagineerFace[6]:getHeight()/2))

		elseif mouse_x > 400+1-(vagineerFace[1]:getWidth()/2) and mouse_y < 300+1-(vagineerFace[1]:getHeight()/2) then
			love.graphics.draw(vagineerFace[7], 400-(vagineerFace[7]:getWidth()/2), 300-(vagineerFace[7]:getHeight()/2))

		elseif mouse_x < 400+1-(vagineerFace[1]:getWidth()/2) and mouse_y > 300+1-(vagineerFace[1]:getHeight()/2) then
			love.graphics.draw(vagineerFace[8], 400-(vagineerFace[8]:getWidth()/2), 300-(vagineerFace[8]:getHeight()/2))

		else
			love.graphics.draw(vagineerFace[9], 400-(vagineerFace[9]:getWidth()/2), 300-(vagineerFace[9]:getHeight()/2))
		end

		love.graphics.draw(buttons.play, 150, 300-(buttons.play:getHeight()/2))

		--love.audio.play(menu_music)

		--love.graphics.print(fps.."\n"..mouse_x.."\n"..mouse_y, 10, 10)
		--print(400-(vagineerFace[1]:getWidth()/2))
		--print((400-(vagineerFace[1]:getWidth()/2))+vagineerFace[1]:getWidth())
	end
end
