require"scripts/menu"
require"scripts/showLife"
require"scripts/player"
require"scripts/enemies/spycrab"
require"levels/level1"

function love.load()
	gamestate = "menu"

	vagineerLife = 5
	vagineerHealth = 100

	--haimomooh = love.audio.newSource("music/haimomooh.ogg")
	playh = true

	fonts = {
		emulogic = love.graphics.newFont("fonts/emulogic.ttf", 20),
		garamond = love.graphics.newFont("fonts/garamond.otf", 36),
	}

	if gamestate == "menu" then
		menu_load()

	elseif gamestate == "f1" then
		f1_load()
		sl_load()
	end
end

function love.update(dt)
	if gamestate == "menu" then
		menu_update()

	elseif gamestate == "f1" then
		f1_update(dt)
	end
end

function love.draw()
	if gamestate == "menu" then
		menu_draw()

	elseif gamestate == "f1" then
		f1_draw()
	end
end
